org.apache.ode.daohib.bpel.hobj

## Class HCorrelationProperty

- java.lang.Object
- - org.apache.ode.daohib.bpel.hobj.HObject
  - - org.apache.ode.daohib.bpel.hobj.HCorrelationProperty

-     public class HCorrelationProperty
      extends HObject

  Hibernate table-mapped class representing one valued property in a correlation set.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SELECT_CORPROP_IDS_BY_INSTANCES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HCorrelationProperty()`
    `HCorrelationProperty(javax.xml.namespace.QName qname, java.lang.String value, HCorrelationSet correlationSet)`
    `HCorrelationProperty(java.lang.String name, java.lang.String namespace, java.lang.String value, HCorrelationSet correlationSet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HCorrelationSet` | `getCorrelationSet()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getNamespace()`
    `javax.xml.namespace.QName` | `getQName()`
    `java.lang.String` | `getValue()`
    `void` | `setCorrelationSet(HCorrelationSet correlationSet)`
    `void` | `setName(java.lang.String name)`
    `void` | `setNamespace(java.lang.String namespace)`
    `void` | `setValue(java.lang.String value)`

    - ### Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject

      `getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SELECT_CORPROP_IDS_BY_INSTANCES

          public static final java.lang.String SELECT_CORPROP_IDS_BY_INSTANCES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HCorrelationProperty

          public HCorrelationProperty()

    - #### HCorrelationProperty

          public HCorrelationProperty(java.lang.String name,
                                      java.lang.String namespace,
                                      java.lang.String value,
                                      HCorrelationSet correlationSet)

    - #### HCorrelationProperty

          public HCorrelationProperty(javax.xml.namespace.QName qname,
                                      java.lang.String value,
                                      HCorrelationSet correlationSet)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getNamespace

          public java.lang.String getNamespace()

    - #### setNamespace

          public void setNamespace(java.lang.String namespace)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getCorrelationSet

          public HCorrelationSet getCorrelationSet()

    - #### setCorrelationSet

          public void setCorrelationSet(HCorrelationSet correlationSet)

    - #### getQName

          public javax.xml.namespace.QName getQName()